Subject: [PATCH 1/2] ARM: dts: omap3-overo: Add support for pwm-leds

From: [email-masked] (Peter Ujfalusi)
Date: Thu, 24 Jan 2013 16:45:14 +0100

On 01/24/2013 04:42 PM, Florian Vaussard wrote:
> I did it at first, but the led API executes in atomic context, where the
> pwm-twl-led driver uses i2c communication. Setting a trigger will result in a
> kernel panic.

Now that you mentioned it, this might be true.

> I am working on a patch for pwm-twl-led to defer using a workqueue right now.

Great!
The only thing I worry about is the latency we are going to get with the
workqueue.

-- 
P?ter